---
wagl:
  algorithm_information:
    algorithm_version: 2.0
    nbar_doi: http://dx.doi.org/10.1109/JSTARS.2010.2042281
    nbar_terrain_corrected_doi: http://dx.doi.org/10.1016/j.rse.2012.06.018
  ancillary:
    aerosol:
      id: []
      tier: FALLBACK_DEFAULT
      value: 0.06
    brdf:
      alpha_1:
        band_1: 0.0
        band_11: 0.0
        band_12: 0.0
        band_2: 0.0
        band_3: 0.0
        band_4: 0.0
        band_5: 0.0
        band_6: 0.0
        band_7: 0.0
        band_8: 0.0
        band_8a: 0.0
      alpha_2:
        band_1: 0.0
        band_11: 0.0
        band_12: 0.0
        band_2: 0.0
        band_3: 0.0
        band_4: 0.0
        band_5: 0.0
        band_6: 0.0
        band_7: 0.0
        band_8: 0.0
        band_8a: 0.0
      id:
      - c90b7c07-4968-523b-8163-4d0520efc4b0
      tier: DEFINITIVE
    elevation:
      id:
      - 27ca9489-8222-5117-96f6-2af42655c604
      - 8ad73086-72cf-561a-aa0f-1e3c64d53384
    ozone:
      id:
      - c3953cf0-93a0-5217-9c2e-babc16fef3be
      tier: DEFINITIVE
      value: 0.279
    water_vapour:
      id:
      - 5051fc65-15f2-59a7-9d45-0602b1ff5a2d
      tier: DEFINITIVE
      value: 1.25
  id: 1b25c6fe-c4fd-4e52-8481-981fe466274e
  parameters:
    buffer_distance: 8000
    esun:
      BAND-1: 1907.622180978758
      BAND-11: 234.58138912770116
      BAND-12: 82.07194546271653
      BAND-2: 1958.493615142011
      BAND-3: 1835.3034071944378
      BAND-4: 1498.1323494981498
      BAND-5: 1383.2082413062008
      BAND-6: 1264.642747749389
      BAND-7: 1162.4717841546546
      BAND-8: 1022.0816435148275
      BAND-8A: 931.7578679549157
    method: 2
    normalized_solar_zenith: 45.0
    rori: 0.52
    vertices:
    - 3
    - 3
  source_datasets:
    acquisition_datetime: 2023-05-09 01:47:08.727583Z
    atime: 2023-05-23 10:29:13Z
    ctime: 2023-05-09 06:39:41Z
    mtime: 2023-05-09 06:39:37Z
    owner_id: '12232'
    platform_id: SENTINEL_2B
    sensor_id: MSI
    source_level1: /g/data/fj7/Copernicus/Sentinel-2/MSI/L1C/2023/2023-05/30S120E-35S125E/S2B_MSIL1C_20230509T013659_N0509_R031_T51HXB_20230509T035152.zip
  system_information:
    hostname: gadi-cpu-clx-1941.gadi.nci.org.au
    runtime_id: a9b61aac-f954-11ed-ab8d-00000184fe80
    time_processed: 2023-05-23 10:29:13.819482Z
    uname: 'Linux gadi-cpu-clx-1941.gadi.nci.org.au 4.18.0-425.3.1.el8.nci.x86_64
      #1 SMP Mon Jan 9 11:39:52 AEDT 2023 x86_64'
gqa:
  colors:
    blue: 0.0
    green: 0.0
    red: 0.0
    teal: 0.0
    yellow: 0.0
  error_message: no errors; no QA points can be matched
  final_qa_count: 0
  granule: S2B_OPER_MSI_L1C_TL_2BPS_20230509T035152_A032232_T51HXB_N05.09
  ref_date: '2013-06-29T00:00:00+00:00'
  ref_source: GQA_v3
  ref_source_path: /g/data/v10/eoancillarydata/GCP/GQA_v3/wrs2/107/084/LC81070842013180LGN00_B2.TIF
  residual:
    abs:
      x: .nan
      xy: .nan
      y: .nan
    abs_iterative_mean:
      x: .nan
      xy: .nan
      y: .nan
    cep90: .nan
    iterative_mean:
      x: .nan
      xy: .nan
      y: .nan
    iterative_stddev:
      x: .nan
      xy: .nan
      y: .nan
    mean:
      x: .nan
      xy: .nan
      y: .nan
    stddev:
      x: .nan
      xy: .nan
      y: .nan
fmask:
  parameters:
    cloud_buffer_distance_metres: 0.0
    cloud_shadow_buffer_distance_metres: 0.0
    frantz_parallax_sentinel_2: false
  percent_class_distribution:
    clear: 0.015098748539942145
    cloud: 26.54051428884609
    cloud_shadow: 2.6665416357653426
    snow: 0.05282977982628519
    water: 70.72501554702234
s2cloudless:
  parameters:
    average_over: 4
    dilation_size: 2
    threshold: 0.4
  percent_class_distribution:
    clear: 69.36743982559518
    cloud: 30.632560174404823
software_versions:
- name: modtran
  url: http://www.ontar.com/software/productdetails.aspx?item=modtran
  version: 6.0.1
- name: wagl
  url: https://github.com/GeoscienceAustralia/wagl
  version: 5.9.0
- name: eugl
  url: https://github.com/OpenDataCubePipelines/eugl
  version: 0.5.4
- name: gverify
  url:
  version: v0.25c
- name: fmask
  url: https://www.pythonfmask.org/
  version: 0.5.5
- name: s2cloudless
  url: https://github.com/sentinel-hub/sentinel2-cloud-detector
  version: 1.5.0
- name: tesp
  url: https://github.com/OpenDataCubePipelines/tesp
  version: 0.14.3
- name: eodatasets3
  url: https://github.com/GeoscienceAustralia/eo-datasets
  version: 0.29.6
...
